restic backup(1)

NAME

restic-restore - Extract the data from a snapshot

SYNOPSIS

restic restore [flags] snapshotID

DESCRIPTION

The "restore" command extracts the data from a snapshot from the repository to a directory.

The special snapshotID "latest" can be used to restore the latest snapshot in the repository.

To only restore a specific subfolder, you can use the "snapshotID:subfolder" syntax, where "subfolder" is a path within the snapshot.

EXIT STATUS

Exit status is 0 if the command was successful. Exit status is 1 if there was any error. Exit status is 10 if the repository does not exist. Exit status is 11 if the repository is already locked.

OPTIONS

--delete[=false]
    delete files from target directory if they do not exist in snapshot. Use '--dry-run -vv' to check what would be deleted

--dry-run[=false]
    do not write any data, just show what would be done

-e, --exclude=[]
    exclude a pattern (can be specified multiple times)

--exclude-file=[]
    read exclude patterns from a file (can be specified multiple times)

-h, --help[=false]
    help for restore

-H, --host=[]
    only consider snapshots for this host, when snapshot ID "latest" is given (can be specified multiple times) (default: $RESTIC_HOST)

--iexclude=[]
    same as --exclude pattern but ignores the casing of filenames

--iexclude-file=[]
    same as --exclude-file but ignores casing of filenames in patterns

--iinclude=[]
    same as --include pattern but ignores the casing of filenames

--iinclude-file=[]
    same as --include-file but ignores casing of filenames in patterns

-i, --include=[]
    include a pattern (can be specified multiple times)

--include-file=[]
    read include patterns from a file (can be specified multiple times)

--overwrite=always
    overwrite behavior, one of (always|if-changed|if-newer|never) (default: always)

--path=[]
    only consider snapshots including this (absolute) path, when snapshot ID "latest" is given (can be specified multiple times, snapshots must include all specified paths)

--sparse[=false]
    restore files as sparse

--tag=[]
    only consider snapshots including tag[,tag,...], when snapshot ID "latest" is given (can be specified multiple times)

-t, --target=""
    directory to extract data to

--verify[=false]
    verify restored files content

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates or $RESTIC_CACERT)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--compression=auto
    compression mode (only available for repository format version 2), one of (auto|off|max) (default: $RESTIC_COMPRESSION)

--http-user-agent=""
    set a http user agent for outgoing http requests

--insecure-no-password[=false]
    use an empty password for the repository, must be passed to every restic command (insecure)

--insecure-tls[=false]
    skip TLS certificate verification when connecting to the repository (insecure)

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-extra-verify[=false]
    skip additional verification of data before upload (see documentation)

--no-lock[=false]
    do not lock the repository, this allows some operations on read-only repositories

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--pack-size=0
    set target pack size in MiB, created pack files may be larger (default: $RESTIC_PACK_SIZE)

--password-command=""
    shell command to obtain the repository password from (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    file to read the repository password from (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--repository-file=""
    file to read the repository location from (default: $RESTIC_REPOSITORY_FILE)

--retry-lock=0s
    retry to lock the repository if it is already locked, takes a value like 5m or 2h (default: no retries)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key (default: $RESTIC_TLS_CLIENT_CERT)

-v, --verbose[=0]
    be verbose (specify multiple times or a level using --verbose=n``, max level/times is 2)

SEE ALSO

restic(1)